Page MenuHomePhabricator

data-mw attributes should be stripped from summary before scrubbing parentheticals
Closed, ResolvedPublic

Description

If a parenthetical occurs inside a data attribute inside a page summary it can generate an invalid summary.

{
"type": "standard",
"revision": "801870197",
"extract": "Shakira Isabel Mebarak Ripoll ʃaˈkiɾa isaˈβel meβaˈɾak",
"extract_html": "<p><b>Shakira Isabel Mebarak Ripoll</b> ʃaˈkiɾa isaˈβel<!--Spanish--> meβaˈɾak<!--Arabic is a Colombian singer, songwriter, dancer, and record producer. Born and raised in <span>Barranquilla</span>, she began performing in school, demonstrating <span class=\"mw-redirect\">Latin American</span>, <span>Arabic</span>, and <span>rock and roll</span> influences and <span class=\"mw-redirect\">belly dancing</span> abilities. Shakira's first <span class=\"mw-redirect\">studio albums</span>, <i><span>Magia</span></i> and <i><span>Peligro</span></i>, failed to attain commercial success in the 1990s; however, she rose to prominence in Latin America with her major-label debut, <i><span>Pies Descalzos</span></i> (1996), and her fourth album, <i><span>Dónde Están los Ladrones?</span></i> (1998).</p>"
}

Examples:

Event Timeline

Change 379902 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/services/mobileapps@master] Test case for T176521

https://gerrit.wikimedia.org/r/379902

Jdlrobson updated the task description. (Show Details)Sep 22 2017, 9:12 PM
Jdlrobson renamed this task from Comments of mw-data attributes should be stripped from summary before scrubbing parentheticals to mw-data attributes should be stripped from summary before scrubbing parentheticals .Sep 25 2017, 4:26 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from mw-data attributes should be stripped from summary before scrubbing parentheticals to data-mw attributes should be stripped from summary before scrubbing parentheticals .Sep 25 2017, 7:50 PM
Jdlrobson updated the task description. (Show Details)

Change 379902 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Remove data-mw attributes before parsing summary

https://gerrit.wikimedia.org/r/379902

phuedx closed this task as Resolved.Oct 17 2017, 6:26 PM
phuedx claimed this task.